TS.Puzzle=function(){
	module( "PUZZLE" );
	
	//Valores de home
	var pictURL=$('#home #pictURL');
	var language=$('#home #language');
	
	//Objetos de puzzle
	var puzzle=$('#puzzle');
	
	test("create - order puzzle",486,function(){
		var config,size,rotated,pieces;
		for(var cols=2;cols<11;cols++)
			for(var rows=2;rows<11;rows++){
				for(var rotations=0;rotations<=1;rotations+=0.25){
					config={
						rotations:rotations,
						cols:cols,
						rows:rows,
						pictURL:pictURL.val()
					};
					P2J.modules.puzzle.puzzleChange(null,config);
					P2J.modules.puzzle.createPuzzle();
					pieces=$("#board div");
					size=pieces.length;
					rotated=$("#board div.rotated").length;
					deepEqual({
						size:size,
						rotated:rotated,
						isOrdered:P2J.modules.puzzle.isOrdered($(pieces[0]))
					},{
						size: config.cols*config.rows,
						rotated: Math.ceil(config.cols*config.rows*config.rotations),
						isOrdered:false
					},config.cols+"x"+config.rows+' ('+(config.rotations*100)+'% rotades) OK');
				}
		
				pieces.removeClass('rotated');
				for(var row=0;row<rows;row++) for(var col=0;col<cols;col++)
					$(pieces[row*cols+col]).attr('data-row',row).attr('data-col',col);
				equal(P2J.modules.puzzle.isOrdered($(pieces[0])),true,'isOrdered OK');
			}
	})
}