var i18n={
	config:{},
	lang:{},
	selectLanguage:function(lang){
		this.lang=this.config[lang];
	}
};

i18n.config.ca={
	options:{
		language:'Idioma',
		soundsLabel:'Sons',
		sounds:'Reproduir sons',
		showBackgroundImageLabel:'Imatge puzzle en el fons',
		showBackgroundImage:'Mostrar imatge'
	},
	info:{
		text:"<b>Pict2Join</b> s una aplicaci que et permet contrur el teu propi puzzle amb una imatge del teu dispositiu o de la teua cmera de fotos. ",
		help:"<ol>"+
			"<li>Selecciona la quantitat de files i columnes que tindr el teu puzzle.</li>"+
			"<li>Indica la quantitat de peces que apareixeran rotades per a augmentar el nivell de dificultat.</li>"+
			"<li>Selecciona la imatge del dispositiu o fes una foto.</li>"+
			"<li>Crea el teu puzzle!, podrs canviar la posici de les peces arrosegant-les amb el dit i rotar-les amb un colp de dit. Si mantens el dit fixe en una pea, podrs vore la imatge original.</li>"+
			"<li>Una volta completat el puzzle, la teua partida podr aparixer a la classificaci de les 5 millors partides.</li>"+
			"</ol>"
	},
	rows:'files',
	cols:'columnes',
	rotations:{
		text:'Rotacions',
		options:['Sense peces rotades','25% de les peces','50% de les peces','75% de les peces','Totes les peces rotades']
	},
	home:'Inici',
	ranking:'Classificaci',
	tableColumns:{
		columns:'Columnes...',
		player:'Jugador',
		size:'Tamany',
		rotations:'Rotacions',
		time:'Temps'
	},
	puzzleDone:'Ben fet!!!',
	typeName:{
		label:'Escriu el teu nom:',
		ok:'Acceptar',
		cancel:'Cancellar'
	}
};

i18n.config.es={
	options:{
		language:'Idioma',
		soundsLabel:'Sonidos',
		sounds:'Reproducir sonidos',
		showBackgroundImageLabel:'Imagen puzzle en el fondo',
		showBackgroundImage:'Mostrar imagen'
	},
	info:{
		text:"<b>Pict2Join</b> es una aplicacin que te permite construir tu propio puzzle con una imagen de tu dispositivo o de tu cmara de fotos.",
		help:"<ol>"+
			"<li>Selecciona la cantidad de filas y columnas que tendr tu puzzle.</li>"+
			"<li>Indica la cantidad de piezas que aparecern rotadas para aumentar el nivel de dificultad.</li>"+
			"<li>Selecciona la imagen del dispositivo o haz una foto.</li>"+
			"<li>Crea tu puzzle!, Podrs cambiar la posicin de las piezas arrastrndolas con el dedo y rotarlas con un toque. Si mantienes el dedo fijo en una pieza, podrs ver la imagen original.</li>"+
			"<li>Una vez completado el puzzle, tu partida podr aparecer en la clasificacin de las 5 mejores partidas.</li>"+
			"</ol>"
	},
	rows:'filas',
	cols:'columnas',
	rotations:{
		text:'Rotaciones',
		options:['Sin piezas rotadas','25% de las piezas','50% de las piezas','75% de las piezas','Todas las piezas rotadas']
	},
	home:'Inicio',
	ranking:'Clasificacin',
	tableColumns:{
		columns:'Columnas...',
		player:'Jugador',
		size:'Tamao',
		rotations:'Rotaciones',
		time:'Tiempo'
	},
	puzzleDone:'Bien hecho!!!',
	typeName:{
		label:'Escribe tu nombre:',
		ok:'Aceptar',
		cancel:'Cancelar'
	}
};

i18n.config.en={
	options:{
		language:'Language',
		soundsLabel:'Sounds',
		sounds:'Play sounds',
		showBackgroundImageLabel:'Background puzzle image',
		showBackgroundImage:'Show image'
	},
	info:{
		text:"<b>Pict2Join</b> is an application that allows you to construct your own puzzle with a picture from your device or from your camera.",
		help:"<ol>"+
			"<li>Select the number of rows and columns for your puzzle.</li>"+
			"<li>Set the number of pieces that appear rotated to increase the difficulty level.</li>"+
			"<li>Select the image or take a photo with your device.</li>"+
			"<li>Create your puzzle!, You can move the pieces by dragging them with your finger and rotate them with a touch. If you hold your finger on a piece, you can see the original image.</li>"+
			"<li>Once you complete the puzzle, your match may appear in the top 5 ranking.</li>"+
			"</ol>"
	},
	rows:'rows',
	cols:'columns',
	rotations:{
		text:'Rotations',
		options:['Without rotated pieces','25% of the pieces','50% of the pieces','75% of the pieces','All pieces rotated']
	},
	home:'Home',
	ranking:'Ranking',
	tableColumns:{
		columns:'Columns...',
		player:'Player',
		size:'Size',
		rotations:'Rotations',
		time:'Time'
	},
	puzzleDone:'Well done!!!',
	typeName:{
		label:'Type your name:',
		ok:'Ok',
		cancel:'Cancel'
	}
};
